Forum Clubic

Rien capable d'installer - configure: error: installation or config

je viens de passer sous linux et je ne suis pas capable d’installer aucun logiciel a toutes les fois que j’ecris la commande ./configure pour le logiciel il m’écri a la fin configure: error: installation or configuration problem: C compiler cannot create executables.
si quelqu’un a une solution faite moi le savoir

PS: les seul chose que j’ai ete capable d’installer se sont des fichier .rpm

quelle est ta distrib ?

Il ne faut pas aller telecharger des applis toi meme sur le net et, encore pire, essayer de les compiler :slight_smile:

Tu as un outil qui s’appelle un “gestionnaire de paquets” et qui te permet d’installer des logiciels tres simplement et rapidement sans prise de tete.
Sous mandriva, il faut aller dans le centre de controle mandriva (mandriva control center ?). Sous Suse, c’est Yast et sous Fedora, c’est Yum.

Je te conseille aussi fortement d’aller sur le site officiel de ta distribution pour aller lire la documentation… c’est tres instructif et y’a plein de choses interessantes sur les questions de base comme celles la…

mais sinon comment on fait pour installer des application a part ceu qui sont dans le catalogue de la distrib??

Non, il faut oublier certains automatismes à la Windows.

Faut toujours utilser le gestionnaire de paquets de la distribution.
Comme çà, une mise à jour de la distribution met à jour tous les programmes installés.
Pas besoin de chercher partout le programme sur internet.

Compiler les sources, (hormis les distributions basées dessus) est à faire en dernier ressort. Si tu as absolument besoin du dit programme et qu’il n’existe pas (ou un programme équivalent) dans ton gestionnaire de paquets.

dans les principales ditribs (mandriva, suse, fedora, (k)ubuntu), quasiment toutes les applis existantes pour linux sont disponibles dans le gestionnaire de paquets.
Sinon, en general, il suffit d’ajouter de nouvelles sources de paquets pour avoir encore plus d’appli…
Pour cela, dis nous qu’elle est ta distrib et je te dirais qui tu es… euh…non… je te dirai comment faire :ane:

Il te manque les outils pour compiler les programmes en fait
gcc, make, libc6-dev.
Comme le disent les autres il vaut mieux passer par le gestionnaire de paquets (au moins pour installer les trucs cités au dessus si tu veux vraiment compiler ce logiciel)
Le truc chiant avec les compilations c’est que c’est a toi de gérer les dépendances (genre gaim qui a besoin de libgtk qui a besoin de pango qui a besoin de …) donc au final tu va passer ta journée a compiler des trucs. :neutre: Avec un gestionnaire c’est lui qui gere ca comme un grand.